package com.lovecoding.controller;


import com.lovecoding.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component( value = "loginController")
public class LoginController {

    //第一种方法
    //使用属性注入  两行代码解决问题
    //默认是按类型匹配 如果我们使用 属性注入代码最简介
//    @Autowired
//    private LoginService loginService;

    //第二种方法
    //SET方法添加注解 注入对象
    //使用SET方法注入 我们需要五行代码 解决问题
//    private LoginService loginService;
//    @Autowired
//    public void setLoginService( LoginService loginService) {
//        this.loginService = loginService;
//    }

    //第三种注入方法
    //我们需要 保留构造器， 并且使用注解 我们依然需要 五行代码
    private LoginService loginService;
    @Autowired
    public LoginController(LoginService loginService) {
        this.loginService = loginService;
    }

    public void login(){
        loginService.login();
    }

    public static void main(String[] args) {
        ClassPathXmlApplicationContext context =
                new ClassPathXmlApplicationContext("anno.xml");
        LoginController bean = context.getBean(LoginController.class);
        //System.out.println( bean );
        bean.login();

    }
}
